Skip to main content
`Ctrl`+`K`

# CHKERRMPI

Checks the error code returned from MPI calls, if different from `MPI_SUCCESS` it calls the error handler and then returns

## Synopsis

    #include <petscsys.h>
    void CHKERRMPI(PetscMPIInt ierr)

Not Collective

## Input Parameter

- ierr - nonzero error code, see the list of standard error codes in include/petscerror.h

## Note

Deprecated in favor of `PetscCallMPI()`. This routine behaves identically to it.

## See Also

`PetscCallMPI()`

## Level

deprecated

## Location

include/petscerror.h

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages